[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TFont.Reference

Reference - References made to this Font.

## Declaration

Source position: graphics.pp line 573

`public property TFont.Reference : TWSFontReference read GetReference;`

## Description

Reference is a read-only TWSFontReference property which contains a reference to the widgetset class used for the font instance. It provides access to the Handle for the font resource, and is used in methods that need access to an existing font handle.

Resources for the property are allocated (when needed) and initialized by calling the ReferenceNeeded method. The resources are freed in the FreeReference method.